Bug 1256780 - After upgrade to Fedora 22 and kenel 4.1.5, kernel panic on boot
After upgrade to Fedora 22 and kenel 4.1.5, kernel panic on boot
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
22
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 08:39 EDT by Hilary Wright
Modified: 2016-07-19 14:55 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:55:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Photo of screen when kernel panics (2.81 MB, image/jpeg)
2015-08-25 13:46 EDT, Hilary Wright
no flags Details
Grub.cfg (5.27 KB, text/plain)
2015-08-28 03:10 EDT, Hilary Wright
no flags Details

  None (edit)
Description Hilary Wright 2015-08-25 08:39:14 EDT
Description of problem: Applied latest upgrade to Fedora 22 which brought kernel 4.1.5 with it. Now booting with 4.1.5 causes kernel panic and machine freezes. I can boot with 4.1.4 with no problem.


Version-Release number of selected component (if applicable): Kernel 4.1.5


How reproducible: Every time


Steps to Reproduce:
1. Upgrade to kernel 4.1.5
2. Boot machine
3.

Actual results: Kernel Panic


Expected results: normal boot to Fedora desktop


Additional info: I would willing supply further info but need help to so.
Comment 1 Josh Boyer 2015-08-25 08:40:25 EDT
Please take a picture of the kernel panic or provide a transcription of it in some way.  We need to see the backtrace to be able to do anything here.
Comment 2 Hilary Wright 2015-08-25 13:46:40 EDT
Created attachment 1066959 [details]
Photo of screen when kernel panics
Comment 3 Josh Boyer 2015-08-25 13:53:04 EDT
(In reply to Hilary Wright from comment #2)
> Created attachment 1066959 [details]
> Photo of screen when kernel panics

That typically means your machine is lacking the corresponding initramfs for this kernel.  We've seen that happen from time to time when dracut/grubby fail to create the initramfs on install.  Please verify that /boot/initramfs-4.1.5-200.fc22.x86_64.img exists.

The easiest solution is to try and uninstall/reinstall this kernel again if it is missing.
Comment 4 Hilary Wright 2015-08-25 16:21:07 EDT
(In reply to Josh Boyer from comment #3)
> (In reply to Hilary Wright from comment #2)
> > Created attachment 1066959 [details]
> > Photo of screen when kernel panics
> 
> That typically means your machine is lacking the corresponding initramfs for
> this kernel.  We've seen that happen from time to time when dracut/grubby
> fail to create the initramfs on install.  Please verify that
> /boot/initramfs-4.1.5-200.fc22.x86_64.img exists.
> 
> The easiest solution is to try and uninstall/reinstall this kernel again if
> it is missing.

Yes, /boot/initramfs-4.1.5-200.fc22.x86_64.img, does exist.
Comment 5 Hilary Wright 2015-08-25 16:23:04 EDT
I did notice that there were many error messages during the upgrade. Is there a way to provide these to you? Maybe they will shed more light on the problem.
Comment 6 Josh Boyer 2015-08-25 17:03:40 EDT
Is the initramfs file for this kernel of similar size to the other initramfs files?  Also, does your grub.conf file contain an initrd line for it?
Comment 7 Hilary Wright 2015-08-26 02:59:21 EDT
(In reply to Josh Boyer from comment #6)
> Is the initramfs file for this kernel of similar size to the other initramfs
> files?  Also, does your grub.conf file contain an initrd line for it?

The file for the 4.1.5 initramfs = 19.5 MB (19,536,588 bytes), the size of the 4.1.4 version = 19.5 MB (19,539,573 bytes).

I can't find a grub.conf (using catfish), but I do have a grub2.conf in etc/prelink.conf.d which has the foloowing contents

# these have execstack, and break under selinux
-b /usr/bin/grub2-script-check
-b /usr/bin/grub2-mkrelpath
-b /usr/bin/grub2-fstest
-b /usr/sbin/grub2-bios-setup
-b /usr/sbin/grub2-probe
-b /usr/sbin/grub2-sparc64-setup
Comment 8 Josh Boyer 2015-08-26 08:35:05 EDT
My apologies, it is grub.cfg.  The grub.cfg file is in /boot.  Either in /boot/grub2/grub.cfg or /boot/efi/EFI/fedora/grub.cfg.
Comment 9 Hilary Wright 2015-08-28 03:10:51 EDT
Created attachment 1067918 [details]
Grub.cfg
Comment 10 Hilary Wright 2015-08-28 03:14:51 EDT
Apologies for slow reply; I was travelling.

I have uploaded the grub.cfg file I have in /boot/grub2. On the system is is marked as a binary. However I can open it in leafpad and it does have an entry for 4.1.5.
Comment 11 Josh Boyer 2015-08-28 08:43:01 EDT
(In reply to Hilary Wright from comment #10)
> Apologies for slow reply; I was travelling.
> 
> I have uploaded the grub.cfg file I have in /boot/grub2. On the system is is
> marked as a binary. However I can open it in leafpad and it does have an
> entry for 4.1.5.

It has a menu entry for 4.1.5, but that menu entry lacks the initrd line that loads the initramfs file.  If you look at the 4.1.4 entry below it you will see:

	initrd /boot/initramfs-4.1.4-200.fc22.x86_64.img

contained in it.  If you add a similar line with the proper initramfs file to the 4.1.5 entry things should start working for you.
Comment 12 Hilary Wright 2015-08-28 14:06:12 EDT
Yes, that worked well. Thank you for your help.

But, do you know this bug occurred in the first place?
Comment 13 Josh Boyer 2015-08-28 16:09:04 EDT
(In reply to Hilary Wright from comment #12)
> Yes, that worked well. Thank you for your help.
> 
> But, do you know this bug occurred in the first place?

No.  It's something in grubby most likely.
Comment 14 Akemi Yagi 2015-11-17 03:18:19 EST
(In reply to Josh Boyer from comment #13)
 
> No.  It's something in grubby most likely.

What is the version of grubby that causes this issue?
Comment 15 Fedora End Of Life 2016-07-19 14:55:17 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.